Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161142 - RFE: Cleaner handling of offline operation in Eclipse
Summary: RFE: Cleaner handling of offline operation in Eclipse
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Krzysztof Daniel
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-20 19:58 UTC by Dave Malcolm
Modified: 2014-01-13 00:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-18 07:00:48 UTC


Attachments (Terms of Use)

Description Dave Malcolm 2005-06-20 19:58:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
There are various places in Eclipse where it accesses a network e.g. for CVS access, or in the Bugzilla plugin.

If the user is on a laptop with intermittent network connectivity, Eclipse should spot that you don't have a network connection before any kind of automatic refreshing.

NetworkManager provides a convenient API for deciding whether we have a network connection within GNOME: http://people.redhat.com/dcbw/NetworkManager/



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Set up Eclipse on a laptop
2. Checkout a project from CVS
3. shutdown Eclipse,
4. go somewhere without network access
5. start up Eclipse


Actual Results:  Not sure, but overholt believes it delays your startup until the attempt to contact CVS times out.

Haven't actually tested yet though.

Expected Results:  Should figure out it hasn't got network connectivity and give up immediately.

Additional info:

(Exactly how this would be implemented on different platforms is also an interesting question; also note that NetworkManager isn't on by default on Fedora)

Comment 1 Fedora Admin XMLRPC Client 2010-08-31 15:59:01 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Krzysztof Daniel 2012-04-17 13:25:14 UTC
I think it is Java responsibility to fail connection if there is none...

Comment 3 Alexander Kurtakov 2012-04-17 13:31:58 UTC
The bug is about not trying to make a connection at all. Like the offline mode in Firefox.

Comment 4 Krzysztof Daniel 2012-04-18 07:00:48 UTC
Not doable in predictable future. 
Eclipse relies on java and afaik does not have centralized place through which all network traffic is routed.

If there are any specific places, which should be improved, we need separate and specific upstream bugs opened against appropriate upstream components.


Note You need to log in before you can comment on or make changes to this bug.